Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in libzypp
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in libzypp
ID: SUSE-SU-2017:2264-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP3, SUSE Linux Enterprise Server 12-SP3, SUSE Linux Enterprise Software Development Kit 12-SP3
Datum: Sa, 26. August 2017, 08:06
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9269
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7436
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7435

Originalnachricht

   SUSE Security Update: Security update for libzypp
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:2264-1
Rating: important
References: #1009745 #1036659 #1038984 #1043218 #1045735
#1046417 #1047785 #1048315
Cross-References: CVE-2017-7435 CVE-2017-7436 CVE-2017-9269

Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP3
SUSE Linux Enterprise Server 12-SP3
SUSE Linux Enterprise Desktop 12-SP3
______________________________________________________________________________

An update that solves three vulnerabilities and has 5 fixes
is now available.

Description:

The Software Update Stack was updated to receive fixes and enhancements.


libzypp:

- CVE-2017-7435, CVE-2017-7436, CVE-2017-9269: Fix GPG check workflows,
mainly for unsigned repositories and packages. (bsc#1045735, bsc#1038984)
- Fix gpg-pubkey release (creation time) computation. (bsc#1036659)
- Update lsof blacklist. (bsc#1046417)
- Re-probe on refresh if the repository type changes. (bsc#1048315)
- Propagate proper error code to DownloadProgressReport. (bsc#1047785)
- Allow to trigger an appdata refresh unconditionally. (bsc#1009745)
- Support custom repo variables defined in /etc/zypp/vars.d.

yast2-pkg-bindings:

- Do not crash when the repository URL is not defined. (bsc#1043218)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP3:

zypper in -t patch SUSE-SLE-SDK-12-SP3-2017-1390=1

- SUSE Linux Enterprise Server 12-SP3:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2017-1390=1

- SUSE Linux Enterprise Desktop 12-SP3:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2017-1390=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le
s390x x86_64):

libzypp-debuginfo-16.15.3-2.3.1
libzypp-debugsource-16.15.3-2.3.1
libzypp-devel-16.15.3-2.3.1
libzypp-devel-doc-16.15.3-2.3.1

- SUSE Linux Enterprise Software Development Kit 12-SP3 (noarch):

yast2-pkg-bindings-devel-doc-3.2.4-2.3.1

- SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

libzypp-16.15.3-2.3.1
libzypp-debuginfo-16.15.3-2.3.1
libzypp-debugsource-16.15.3-2.3.1
yast2-pkg-bindings-3.2.4-2.3.1
yast2-pkg-bindings-debuginfo-3.2.4-2.3.1
yast2-pkg-bindings-debugsource-3.2.4-2.3.1

- SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

libzypp-16.15.3-2.3.1
libzypp-debuginfo-16.15.3-2.3.1
libzypp-debugsource-16.15.3-2.3.1
yast2-pkg-bindings-3.2.4-2.3.1
yast2-pkg-bindings-debuginfo-3.2.4-2.3.1
yast2-pkg-bindings-debugsource-3.2.4-2.3.1


References:

https://www.suse.com/security/cve/CVE-2017-7435.html
https://www.suse.com/security/cve/CVE-2017-7436.html
https://www.suse.com/security/cve/CVE-2017-9269.html
https://bugzilla.suse.com/1009745
https://bugzilla.suse.com/1036659
https://bugzilla.suse.com/1038984
https://bugzilla.suse.com/1043218
https://bugzilla.suse.com/1045735
https://bugzilla.suse.com/1046417
https://bugzilla.suse.com/1047785
https://bugzilla.suse.com/1048315

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung